Subject: Re: linux-next: rr tree build failure

From: Mike Travis <[email-masked]>
Date: Mon, 29 Dec 2008 07:23:34 -0800

Stephen Rothwell wrote:
> Hi Rusty,
> 
> Today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> In file included from include/linux/smp.h:33,
>                  from include/linux/topology.h:33,
>                  from include/linux/mmzone.h:763,
>                  from include/linux/gfp.h:4,
>                  from include/linux/kmod.h:22,
>                  from include/linux/module.h:13,
>                  from include/linux/crypto.h:21,
>                  from arch/x86/kernel/asm-offsets_64.c:7,
>                  from arch/x86/kernel/asm-offsets.c:4:
> arch/x86/include/asm/smp.h: In function 'num_booting_cpus':
> arch/x86/include/asm/smp.h:152: error: implicit declaration of function 'cpus_weight'
> 
> I have dropped the rr tree for today.
> 

Hi Stephen,

I have this fixed in:

commit 3b656ce6c3d7ea2a36c1ebe77d436d5550980baa
Author: Mike Travis <[email-masked]>
Date:   Sat Dec 27 01:45:56 2008 -0800

    x86: cleanup remaining cpumask_t ops in smpboot code

which was pushed via tip/cpus4096.  It includes many other
updates so I'm not exactly sure how this merges into
linux-next.

Thanks,
Mike